// Color ramps
#define cr_BlueLightblue 1
#define cr_GreyWhite 4
#define cr_DarkgreyGrey 5

// Draw styles
#define ds_White 2
#define ds_Black 3
#define ds_GreyWhite 16
#define ds_DarkgreyGrey 17
#define ds_Lightgrey 20
#define ds_lightBlue 24
#define ds_LightBlue_White2 25
#define ds_LightGrey_White2 26
#define ds_None_White1 27
#define ds_None 30
#define ds_Black_White1 48
#define ds_White_alpha 55
#define ds_ld_forecastDiagram_XMain 56
#define ds_ld_forecastDiagram_YMain 57
#define ds_ld_forecastDiagram_YMain_Sec 58
#define ds_Line_Temperature 59
#define ds_Line_Rain 60
#define ds_Indicator1 61

// Text styles
#define ts_ascii_10_White 3
#define ts_unicode_20_White 6
#define ts_unicode_26_White 7
#define ts_unicode_32_White 8
#define ts_unicode_26_WhiteCenter 14
#define ts_Arial_15 19
#define ts_Arial_15_BlackCenter 20
#define ts_Arial_15_WhiteCenter 21
#define ts_Arial_18WhiteLeft 22
#define ts_Arial_18WhiteCenter 23
#define ts_Arial_15_BlackLeft 24
#define ts_Arial_16WhiteLeftBold 25
#define ts_Arial_15_WhiteLeft 27
#define ts_Arial_16LightBlueCenterBold 28
#define ts_ascii_10_LightBlueCenter 40
#define ts_Arial_12_White 41
#define ts_ld_forecastDiagram_XMain 42
#define ts_ld_forecastDiagram_YMain 43
#define ts_ld_forecastDiagram_YMain_Sec 44

// Button styles
#define bs_Radio_Gray_White 2
#define bs_KeyboardWhite 5
#define bs_KeyboardGrey 6
#define bs_LightGrey 9

// Screen: sc_forecast
#define sc_forecast_ld_forecastDiagram 49
#define sc_forecast_pic_forecastWeatherId1 54
#define sc_forecast_pic_forecastWeatherId2 55
#define sc_forecast_pic_forecastWeatherId3 56
#define sc_forecast_pic_forecastWeatherId4 57
#define sc_forecast_pic_forecastWeatherId5 58
#define sc_forecast_lb_forecastSource 60
#define sc_forecast_fta_forecast 63

// Screen: sc_WiFi
#define sc_WiFi_pb_wifiList 15
#define sc_WiFi_bt_wifiSearch 16
#define sc_WiFi_pic_wifiWait 17
#define sc_WiFi_bt_wifiNext 19
#define sc_WiFi_lb_wifi 24
#define sc_WiFi_ibt_wifiBack 25
#define sc_WiFi_rect_wifi 26
#define sc_WiFi_rect_current_status 66
#define sc_WiFi_rect_current_status1 67
#define sc_WiFi_rect_current_status2 68
#define sc_WiFi_lb_current_header 69
#define sc_WiFi_lb_current_wifi 116
#define sc_WiFi_lb_current_ip 117
#define sc_WiFi_lb_current_port 118
#define sc_WiFi_lb_current_name 119

// Screen: sc_numericKeyboard
#define sc_numericKeyboard_kb_numericKeyboard 23

// Screen: sc_gps
#define sc_gps_rect_gps 5
#define sc_gps_ibt_gpsBack 30
#define sc_gps_lb_gps 31
#define sc_gps_eb_gpsLatitude 38
#define sc_gps_eb_gpsLongitude 39
#define sc_gps_lb_gpsLatitude 40
#define sc_gps_lb_gpsLongutude 41
#define sc_gps_bt_gpsSearch 42

// Screen: sc_header
#define sc_header_ibt_weatherGPS 28
#define sc_header_eb_weatherLocation 29
#define sc_header_ibt_weatherSettings 35

// Screen: sc_keyboard
#define sc_keyboard_kb_mainKeyboard 43

// Screen: sc_settings
#define sc_settings_rect_settings 32
#define sc_settings_bt_settingsWiFi 33
#define sc_settings_lb_settings 34
#define sc_settings_ibt_settingsBack 36
#define sc_settings_cb_settingsLanguage 44
#define sc_settings_cb_settingsUnit 45
#define sc_settings_lb_settingsUnit 46
#define sc_settings_lb_settingsLanguage 47
#define sc_settings_sb_settingsTime 52
#define sc_settings_lb_settingsTime 53
#define sc_settings_bt_bluetoothserial 112
#define sc_settings_lb_version 120

// Screen: sc_splash
#define sc_splash_lb_splashConnection 37
#define sc_splash_pic_splashWait 51

// Screen: sc_password
#define sc_password_bt_passwordShow 13
#define sc_password_eb_passwordPassword 14
#define sc_password_bt_passwordConnect 20
#define sc_password_bt_passwordCancel 21
#define sc_password_lb_password 22
#define sc_password_rect_password 27

// Screen: sc_weather
#define sc_weather_pic_weatherId 1
#define sc_weather_met_weatherWindDeg 2
#define sc_weather_met_weatherWindDeg_Meter1_0 3
#define sc_weather_met_weatherWindDeg_Indicator1 4
#define sc_weather_lb_weatherTemp 6
#define sc_weather_lb_weatherRain 7
#define sc_weather_lb_weatherWindSpeed 8
#define sc_weather_lb_weatherPressure 9
#define sc_weather_lb_weatherHumidity 10
#define sc_weather_pic_weatherPressure 11
#define sc_weather_pic_weatherHumidity 12
#define sc_weather_gr_weather 18
#define sc_weather_stb_weatherDescription 48
#define sc_weather_pic_weatherRain 50
#define sc_weather_lb_weatherSource 59
#define sc_weather_lb_weatherServerError 61
#define sc_weather_fta_weather 62

// Screen: sc_bt_direct
#define sc_bt_direct_bt_64 64
#define sc_bt_direct_rect_65 65
#define sc_bt_direct_lb_113 113
#define sc_bt_direct_lb_114 114
#define sc_bt_direct_rect_115 115

// ScreenTransitions:
#define ScrTrans_Obj_1 32767
#define ScrTrans_Obj_2 32766
#define ScrTrans_Obj_3 32765
#define ScrTrans_Obj_4 32764
#define ScrTrans_Obj_5 32763
// User defined Obj-ID:
#define pic_WiFi_strength 70
#define lb_forecastRain1 100
#define lb_forecastRain2 101
#define lb_forecastRain3 102
#define lb_forecastRain4 103
#define lb_forecastRain5 104
#define lb_forecastRain6 105
#define lb_forecastRain7 107
#define lb_forecastRain8 108
#define lb_forecastRain9 109
#define lb_forecastRain10 110
#define lb_forecastRain11 111
// Register
#define R_secCounter_Refresh 50  //default 
#define R_WiFi_ssid 100  //default 1
#define R_Language 101  //default 1
#define R_Unit 102  //default 1
#define R_DiaTempMin 103  //default 0
#define R_DiaTempStep 104  //default 2.5
#define R_DiaRainStep 105  //default 5.0
#define R_ScreenChangeTime 106  //default 500
#define R_ChangeSettings 107  //default 0
#define R_ValidWeather 108  //default 0
#define R_Temp 150  //default 0.0
#define R_Rain 151  //default 0.0
#define R_Humidity 152  //default 0
#define R_Pressure 153  //default 0
#define R_WindSpeed 154  //default 0.0
#define R_WindDeg 155  //default 0
#define R_ForecastTime 156  //default 0
#define R_ESPVERSION 199  //default 

// StringRegister
#define S_WiFi_ssid 100  //default ""
#define S_WiFi_password 101  //default ""
#define S_Location 102  //default ""
#define S_Latitude 103  //default ""
#define S_Longitude 104  //default ""
#define S_Language 105  //default "English"
#define S_AppID 106  //default "e5ab56f9d9a1c3217f4091e170fcdfd6"
#define S_File_LastWiFi 110  //default "<Weather/WiFi.txt>"
#define S_File_LastSearch 111  //default "<Weather/Search.txt>"
#define S_Settings 112  //default "<Weather/Settings.txt>"
#define S_WearherDescription 150  //default ""
#define S_WeatherId 151  //default ""
#define S_SearchLocation 152  //default ""

// IntArray
#define A_Probability 152  //default 49;97;95;92;32;100;3;4;18

// FloatArray
#define A_Temp 150  //default 0;0;0;0;0;10.7;0;0;0
#define A_Rain 151  //default 0.1;1;6;8;6;0;10;1;1

// StringArray
#define A_WeatherId 153  //default sunnyColor;sunnyColor;sunnyColor;sunnyColor;sunnyColor

// Numeric defines
#define WEATHER_GPSLOCATION 2
#define WEATHER_LOCATION 1
#define WEATHER_UPDATETIME_SEC 900

// String defines

// Screen names
#define sc_forecast "screen/sc_forecast"
#define sc_WiFi "screen/sc_WiFi"
#define sc_numericKeyboard "screen/sc_numericKeyboard"
#define sc_gps "screen/sc_gps"
#define sc_header "screen/sc_header"
#define sc_keyboard "screen/sc_keyboard"
#define sc_settings "screen/sc_settings"
#define sc_splash "screen/sc_splash"
#define sc_password "screen/sc_password"
#define sc_weather "screen/sc_weather"
#define sc_bt_direct "screen/sc_bt_direct"

// Macro names
#define SearchWeather "SearchWeather"
#define EditLatitude "EditLatitude"
#define CurrentSSid "CurrentSSid"
#define ChangeCurrentLanguage "ChangeCurrentLanguage"
#define UpdateRSSI "UpdateRSSI"
#define WriteSettings "WriteSettings"
#define UpdateWeatherForecast "UpdateWeatherForecast"
#define ConnectWiFi "ConnectWiFi"
#define KeybordPressed "KeybordPressed"
#define NumericKeybordPressed "NumericKeybordPressed"
#define Deactivate_BT_Serial "Deactivate_BT_Serial"
#define SearchWeatherGPS "SearchWeatherGPS"
#define ApplyWeatherGPS "ApplyWeatherGPS"
#define HidePassword "HidePassword"
#define ShowPassword "ShowPassword"
#define StartWiFiConnection "StartWiFiConnection"
#define ApplyWeather "ApplyWeather"
#define EditPassword "EditPassword"
#define UpdateCurrentWeather "UpdateCurrentWeather"
#define ChangeScreenTime "ChangeScreenTime"
#define EditLongitude "EditLongitude"
#define SelectWiFi "SelectWiFi"
#define ChangeCurrentUnit "ChangeCurrentUnit"
#define CheckSettings "CheckSettings"
#define EditLocation "EditLocation"
#define GetCurrentWeather "GetCurrentWeather"

